'use strict';

require('./packages/stores/index.js');
var index$1 = require('./packages/directive/index.js');
var setupVXETableHook = require('./packages/hooks/setupVXETableHook.js');
require('./packages/components/index.js');
var inpinia = require('./packages/stores/inpinia.js');
var index = require('./packages/components/svgIcon/index.js');

const makeInstaller = (components = []) => {
  const install = (app) => {
    app.use(inpinia.default);
    components.forEach(
      (component) => {
        if (!app._context.components[component.name]) {
          app.component(component.name, component);
        }
      }
    );
    index.elSvg(app);
    index$1.directive(app);
    setupVXETableHook.setupVXETable(app);
  };
  return {
    install
  };
};

exports.makeInstaller = makeInstaller;
